Eyetracker |

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
pygaze._display.psychopydisplay.PsychoPyDisplay Class Reference

## Public Member Functions
| __init__ (self, dispsize=settings.DISPSIZE, fgc=settings.FGC, bgc=settings.BGC, screennr=settings.SCREENNR, monitor=None, screen=None, **args)
| show (self)
| show_part (self, rect, screen=None)
| fill (self, screen=None)
| close (self)
| make_screenshot (self, filename='screenshot.png')

## Public Attributes
| dispsize = dispsize
| fgc = fgc
| bgc = bgc
| screennr = screennr
bool | mousevis = False
| monitor = monitor

## Constructor & Destructor Documentation

## ◆ __init__()

pygaze._display.psychopydisplay.PsychoPyDisplay.__init__ | ( |  | self,
|  |  | dispsize = settings.DISPSIZE,
|  |  | fgc = settings.FGC,
|  |  | bgc = settings.BGC,
|  |  | screennr = settings.SCREENNR,
|  |  | monitor = None,
|  |  | screen = None,
|  | ** | args )

## Member Function Documentation

## ◆ close()

pygaze._display.psychopydisplay.PsychoPyDisplay.close | ( |  | self | ) |

## ◆ fill()

pygaze._display.psychopydisplay.PsychoPyDisplay.fill | ( |  | self,
|  |  | screen = None )

## ◆ make_screenshot()

pygaze._display.psychopydisplay.PsychoPyDisplay.make_screenshot | ( |  | self,
|  |  | filename = 'screenshot.png' )

## ◆ show()

pygaze._display.psychopydisplay.PsychoPyDisplay.show | ( |  | self | ) |

## ◆ show_part()

pygaze._display.psychopydisplay.PsychoPyDisplay.show_part | ( |  | self,
|  |  | rect,
|  |  | screen = None )

## Member Data Documentation

## ◆ bgc

pygaze._display.psychopydisplay.PsychoPyDisplay.bgc = bgc

## ◆ dispsize

pygaze._display.psychopydisplay.PsychoPyDisplay.dispsize = dispsize

## ◆ fgc

pygaze._display.psychopydisplay.PsychoPyDisplay.fgc = fgc

## ◆ monitor

pygaze._display.psychopydisplay.PsychoPyDisplay.monitor = monitor

## ◆ mousevis

pygaze._display.psychopydisplay.PsychoPyDisplay.mousevis = False

## ◆ screennr

pygaze._display.psychopydisplay.PsychoPyDisplay.screennr = screennr

The documentation for this class was generated from the following file:

- C:/Users/lurax/eyetrackingTobii/pygaze/_display/psychopydisplay.py